---------------------
PatchSet 5790 
Date: 2007/09/14 13:11:02
Author: amosjeffries
Branch: squid3-ipv6
Tag: (none) 
Log:
Fix an incorrect protection fix for poll/select changes.

Members: 
	src/comm_select.cc:1.12.6.6->1.12.6.7 

Index: squid3/src/comm_select.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/comm_select.cc,v
retrieving revision 1.12.6.6
retrieving revision 1.12.6.7
diff -u -r1.12.6.6 -r1.12.6.7
--- squid3/src/comm_select.cc	28 Aug 2007 12:30:47 -0000	1.12.6.6
+++ squid3/src/comm_select.cc	14 Sep 2007 13:11:02 -0000	1.12.6.7
@@ -1,6 +1,6 @@
 
 /*
- * $Id: comm_select.cc,v 1.12.6.6 2007/08/28 12:30:47 amosjeffries Exp $
+ * $Id: comm_select.cc,v 1.12.6.7 2007/09/14 13:11:02 amosjeffries Exp $
  *
  * DEBUG: section 5     Socket Functions
  *
@@ -227,7 +227,7 @@
 
     getCurrentTime();
 
-#if HAVE_POLL
+#if USE_POLL
     statCounter.syscalls.polls++;
 #else
     statCounter.syscalls.selects++;
@@ -442,7 +442,7 @@
         for (;;) {
             poll_time.tv_sec = msec / 1000;
             poll_time.tv_usec = (msec % 1000) * 1000;
-#if HAVE_POLL
+#if USE_POLL
             statCounter.syscalls.polls++;
 #else
             statCounter.syscalls.selects++;
@@ -717,7 +717,7 @@
         else
             continue;
 
-#if HAVE_POLL
+#if USE_POLL
         statCounter.syscalls.polls++;
 #else
         statCounter.syscalls.selects++;
